//+------------------------------------------------------------------+
//|                                                         GEAF.mq4 |
//|                                                           Foxonn |
//|                                              hitman_94_1@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Foxonn"
#property link      "hitman_94_1@mail.ru"
#property version   "1.00"

extern double Lots       = 0.01;
extern int    Magic      = 101010;
extern int    TimeExp    = 5;
extern int    Slippage   = 3;

double oOpen, oClose, wOpen, opensell, openbuy;
int ticket, sl, tp;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
{ 
   oOpen = iOpen (0,0,1);
   oClose = iClose (0,0,1);
   wOpen = iOpen (0,0,0);
   
   Comment(": " + NormalizeDouble(AccountBalance(),0) 
   + "\n" + "   : " + NormalizeDouble(oOpen,5) 
   + "\n" + "   : " + NormalizeDouble(oClose,5)
   + "\n" + "   : " + NormalizeDouble(wOpen,5));
  
   if (CountSell() == 0 && CountBuy() == 0 && oOpen > oClose)
   {                          
   ticket = OrderSend(Symbol(), OP_SELL, Lots, Bid, Slippage, 0, 0, TimeExp, Magic, 0, Red); 
   }   
   if (CountSell() == 0 && CountBuy() == 0 && oOpen < oClose)  
   {
   ticket = OrderSend(Symbol(), OP_BUY, Lots, Ask, Slippage, 0, 0, TimeExp, Magic, 0, Blue);
   }
 }
//+------------------------------------------------------------------+
int CountBuy() 
{
   int count = 0;
   
   for (int trade = OrdersTotal()-1; trade >=0; trade--) 
   {
      if (OrderSelect(trade, SELECT_BY_POS, MODE_TRADES))
      {
         if (OrderSymbol() == Symbol() && OrderMagicNumber() == Magic && OrderType() == OP_BUY)
             count++;
      }
   }
   return (count);
}
//+------------------------------------------------------------------+
int CountSell() 
{
   int count = 0;
   for (int trade = OrdersTotal() - 1; trade >= 0; trade--) 
   {
      if (OrderSelect(trade, SELECT_BY_POS, MODE_TRADES))
      {
         if (OrderSymbol() == Symbol() && OrderMagicNumber() == Magic && OrderType() == OP_SELL)
             count++;
      }
   }
   return (count);
}
//+------------------------------------------------------------------+
